Skip Menu |
 
rt.cpan.org will be shut down on March 1st, 2021.

This queue is for tickets about the Crypt-HSXKPasswd CPAN distribution.

Report information
The Basics
Id: 106357
Status: resolved
Priority: 0/
Queue: Crypt-HSXKPasswd

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: v3.6



Subject: Experimental keys on scalar is now forbidden (v3.5)
Module does not compile anymore with perl 5.23.1: Output from './Build test': Bailout called. Further testing stopped: # Failed test 'use Crypt::HSXKPasswd;' # at t/00-load.t line 10. # Tried to use 'Crypt::HSXKPasswd'. # Error: Experimental keys on scalar is now forbidden at /tmpfs/.cpan-build/2015081021/Crypt-HSXKPasswd-v3.5-4xw9g3/blib/lib/Crypt/HSXKPasswd.pm line 610. # Compilation failed in require at t/00-load.t line 10. # BEGIN failed--compilation aborted at t/00-load.t line 10. Use of uninitialized value $Crypt::HSXKPasswd::VERSION in concatenation (.) or string at t/00-load.t line 15. # Testing Crypt::HSXKPasswd , Perl 5.023001, /opt/perl-5.23.1/bin/perl5.23.1 # Looks like you failed 1 test of 3. FAILED--Further testing stopped. With perl 5.20 and 5.22 there's just a warning for this line: keys on reference is experimental at /tmpfs/.cpan-build/2015081021/Crypt-HSXKPasswd-v3.5-wnimed/blib/lib/Crypt/HSXKPasswd.pm line 610. If you fix this, then your module will maybe again work with older perls (< 5.16).
Subject: Re: [rt.cpan.org #106357] Experimental keys on scalar is now forbidden (v3.5)
Date: Tue, 11 Aug 2015 20:51:03 +0100
To: bug-Crypt-HSXKPasswd [...] rt.cpan.org
From: Bart Busschots <bart [...] bartificer.net>
Download (untitled) / with headers
text/plain 1.9k
Hi, I think the changes I've just pushed to GitHub should get rid of these warnings and errors: https://github.com/bbusschots/hsxkpasswd/commit/a8f4eaa703d2a18cfa4a004ba85e07bb9b59587c <https://github.com/bbusschots/hsxkpasswd/commit/a8f4eaa703d2a18cfa4a004ba85e07bb9b59587c> I'll push them to CPAN as version 3.6 after I do a little more testing. Thanks, Bart. Show quoted text
> On 11 Aug 2015, at 06:19, Slaven_Rezic via RT <bug-Crypt-HSXKPasswd@rt.cpan.org> wrote: > > Tue Aug 11 01:19:04 2015: Request 106357 was acted upon. > Transaction: Ticket created by SREZIC > Queue: Crypt-HSXKPasswd > Subject: Experimental keys on scalar is now forbidden (v3.5) > Broken in: (no value) > Severity: (no value) > Owner: Nobody > Requestors: SREZIC@cpan.org > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=106357 > > > > Module does not compile anymore with perl 5.23.1: > > Output from './Build test': > > Bailout called. Further testing stopped: > > # Failed test 'use Crypt::HSXKPasswd;' > # at t/00-load.t line 10. > # Tried to use 'Crypt::HSXKPasswd'. > # Error: Experimental keys on scalar is now forbidden at /tmpfs/.cpan-build/2015081021/Crypt-HSXKPasswd-v3.5-4xw9g3/blib/lib/Crypt/HSXKPasswd.pm line 610. > # Compilation failed in require at t/00-load.t line 10. > # BEGIN failed--compilation aborted at t/00-load.t line 10. > Use of uninitialized value $Crypt::HSXKPasswd::VERSION in concatenation (.) or string at t/00-load.t line 15. > # Testing Crypt::HSXKPasswd , Perl 5.023001, /opt/perl-5.23.1/bin/perl5.23.1 > # Looks like you failed 1 test of 3. > FAILED--Further testing stopped. > > With perl 5.20 and 5.22 there's just a warning for this line: > > keys on reference is experimental at /tmpfs/.cpan-build/2015081021/Crypt-HSXKPasswd-v3.5-wnimed/blib/lib/Crypt/HSXKPasswd.pm line 610. > > If you fix this, then your module will maybe again work with older perls (< 5.16).
Download smime.p7s
application/pkcs7-signature 4k

Message body not shown because it is not plain text.

Subject: Re: [rt.cpan.org #106357] Experimental keys on scalar is now forbidden (v3.5)
Date: Wed, 12 Aug 2015 00:01:19 +0100
To: bug-Crypt-HSXKPasswd [...] rt.cpan.org
From: Bart Busschots <bart [...] bartificer.net>
Download (untitled) / with headers
text/plain 2.4k
Uploaded version 3.6, and as hoped, the module now passes all tests. Note - the reason the module is targeted at 5.16 and up has nothing to do with the errors or warnings that this updated fixes. The reason is because that is the first versions of Perl with really good unicode support. Thanks, Bart. Show quoted text
> On 11 Aug 2015, at 20:51, Bart Busschots via RT <bug-Crypt-HSXKPasswd@rt.cpan.org> wrote: > > Queue: Crypt-HSXKPasswd > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=106357 > > > Hi, > > I think the changes I've just pushed to GitHub should get rid of these warnings and errors: https://github.com/bbusschots/hsxkpasswd/commit/a8f4eaa703d2a18cfa4a004ba85e07bb9b59587c <https://github.com/bbusschots/hsxkpasswd/commit/a8f4eaa703d2a18cfa4a004ba85e07bb9b59587c> > > I'll push them to CPAN as version 3.6 after I do a little more testing. > > Thanks, > > Bart. >
>> On 11 Aug 2015, at 06:19, Slaven_Rezic via RT <bug-Crypt-HSXKPasswd@rt.cpan.org> wrote: >> >> Tue Aug 11 01:19:04 2015: Request 106357 was acted upon. >> Transaction: Ticket created by SREZIC >> Queue: Crypt-HSXKPasswd >> Subject: Experimental keys on scalar is now forbidden (v3.5) >> Broken in: (no value) >> Severity: (no value) >> Owner: Nobody >> Requestors: SREZIC@cpan.org >> Status: new >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=106357 > >> >> >> Module does not compile anymore with perl 5.23.1: >> >> Output from './Build test': >> >> Bailout called. Further testing stopped: >> >> # Failed test 'use Crypt::HSXKPasswd;' >> # at t/00-load.t line 10. >> # Tried to use 'Crypt::HSXKPasswd'. >> # Error: Experimental keys on scalar is now forbidden at /tmpfs/.cpan-build/2015081021/Crypt-HSXKPasswd-v3.5-4xw9g3/blib/lib/Crypt/HSXKPasswd.pm line 610. >> # Compilation failed in require at t/00-load.t line 10. >> # BEGIN failed--compilation aborted at t/00-load.t line 10. >> Use of uninitialized value $Crypt::HSXKPasswd::VERSION in concatenation (.) or string at t/00-load.t line 15. >> # Testing Crypt::HSXKPasswd , Perl 5.023001, /opt/perl-5.23.1/bin/perl5.23.1 >> # Looks like you failed 1 test of 3. >> FAILED--Further testing stopped. >> >> With perl 5.20 and 5.22 there's just a warning for this line: >> >> keys on reference is experimental at /tmpfs/.cpan-build/2015081021/Crypt-HSXKPasswd-v3.5-wnimed/blib/lib/Crypt/HSXKPasswd.pm line 610. >> >> If you fix this, then your module will maybe again work with older perls (< 5.16).
> > > <smime.p7s>
Download smime.p7s
application/pkcs7-signature 4k

Message body not shown because it is not plain text.



This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.